View Issue Details

IDProjectCategoryView StatusLast Update
0015167MediaMonkey (current)Playlist / Searchpublic2019-10-21 11:59
Reporterpeke 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version 
Target Version4.1.25Fixed in Version4.1.25 
Summary0015167: Search: Toolbar search miss results where search dialog return correct one
DescriptionWhen searching Entire Library with Search toolbar no results are found, but if it is searched thru search dialog then results returned.

MM5 do not observe such issue.
Steps To Reproduce1. Use supplied db make sure that Artist/Director is enabled in search
2. Paste "???" into search toolbar
3. No results found
4. Open Search dialog and paste "???" for Artist/Director
5. Correct results are found

UTF-8 BOM TXT file with search string is attached
Additional InformationTicket ID: GDX-533-22928
TagsNo tags attached.
Fixed in build1891

Relationships

related to 0016038 closedpetr MediaMonkey 5 Crash on Auto-tag (regression 2205?) 
related to 0016040 closedpetr MediaMonkey 5 Crash on initiating contextual search 
related to 0016042 closedpetr MediaMonkey 5 in line Editing track year --> crash 

Activities

peke

2018-10-17 20:45

developer  

bug15167.txt (12 bytes)
임창정
bug15167.txt (12 bytes)

Ludek

2018-10-18 12:20

developer   ~0051372

Fixed in 4.1.23.1881

peke

2018-10-19 16:26

developer   ~0051399

Verified 1881

Ludek

2019-10-03 15:19

developer   ~0054922

Last edited: 2019-10-03 16:52

View 3 revisions

User found another example using special Korean characters, details in GDX-533-22928

Ludek

2019-10-03 16:49

developer   ~0054923

Fixed in 4.1.25.1891

peke

2019-10-06 00:57

developer   ~0054950

Verified 1891

I do not see the issue based on

petr

2019-10-18 20:03

developer   ~0055057

This issue caused regression reported as issues 16038, 16040 and 16042

Ludek

2019-10-18 21:24

developer   ~0055063

Watching the code in SQLite I can confirm that fortunately the version 4.1.25 is unaffected, the bug is presented only in MM5 when CharLowerW from user32.dll is called on chars that has value lower than zero (the hebrew chars).

Ludek

2019-10-18 21:46

developer   ~0055064

Last edited: 2019-10-21 11:59

View 2 revisions

Fixed in the MM5 branch.

Petr, please re-compile SQLite for MM5 to supply it for the next MM5 builds (2207+)

=> Petr updated it for 2207+